#
# Makefile for Windows
#

!include <miwin_x.mak>

extraccargs = /TP /DNO_DEPRECATED

name = sdksamp_objview

EXE = $(name).exe

$(name): $(EXE)

INCS =
OBJS = objview.obj toolskel.obj

#
# Revision Control System dependencies
#

!IF "$(ND)" != "" && "$(NORCS)" == ""

!include <milibinc.mak>

RCSDIR = $(ND)\src\$(RELNAME)\$(name)

toolskel.h:	$(RCSDIR)/toolskel.h_v		; $(CO) $(@F)
objview.c:	$(RCSDIR)/objview.c_v		; $(CO) $(@F)
toolskel.c:	$(RCSDIR)/toolskel.c_v		; $(CO) $(@F)

!ENDIF

#
# Include file dependencies
#

objview.obj:	objview.c toolskel.h
toolskel.obj:	toolskel.c toolskel.h


#
# Make the EXE
#

$(EXE): $(OBJS)
	$(link) $(larg) $(guiflags) -OUT:$(EXE) $(OBJS) $(LIBPATH) $(LIBS) > $(name).ler
